> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tesouro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# fundingTransactions

> An itemized list of funded transactions (captures, sales, and refunds) for the selected transaction activity date or funds release date.

`Query`

## Arguments

<ParamField path="input" type="FundingTransactionInput!" required>
  <Expandable title="child attributes">
    <ParamField path="paging" type="PagingInput!" required>
      See [PagingInput](/acquiring/reference/graphql/types/paging-input)
    </ParamField>

    <ParamField path="where" type="FundingTransactionFilterInput!" required>
      <Expandable title="child attributes">
        <ParamField path="acceptorId" type="GuidFilterInput">
          See [GuidFilterInput](/acquiring/reference/graphql/types/guid-filter-input)
        </ParamField>

        <ParamField path="acquirerReferenceNumber" type="StringFilterInput">
          See [StringFilterInput](/acquiring/reference/graphql/types/string-filter-input)
        </ParamField>

        <ParamField path="fundsReleaseDate" type="DateRangeFilterInput">
          See [DateRangeFilterInput](/acquiring/reference/graphql/types/date-range-filter-input)
        </ParamField>

        <ParamField path="fundsTransferId" type="GuidFilterInput">
          See [GuidFilterInput](/acquiring/reference/graphql/types/guid-filter-input)
        </ParamField>

        <ParamField path="id" type="GuidFilterInput">
          See [GuidFilterInput](/acquiring/reference/graphql/types/guid-filter-input)
        </ParamField>

        <ParamField path="paymentBrand" type="EnumFilterInputOfPaymentBrandInput">
          See [EnumFilterInputOfPaymentBrandInput](/acquiring/reference/graphql/types/enum-filter-input-of-payment-brand-input)
        </ParamField>

        <ParamField path="paymentChannel" type="EnumFilterInputOfPaymentChannelInput">
          See [EnumFilterInputOfPaymentChannelInput](/acquiring/reference/graphql/types/enum-filter-input-of-payment-channel-input)
        </ParamField>

        <ParamField path="paymentId" type="GuidFilterInput">
          See [GuidFilterInput](/acquiring/reference/graphql/types/guid-filter-input)
        </ParamField>

        <ParamField path="perspective" type="EnumFilterInputOfPerspectiveInput">
          See [EnumFilterInputOfPerspectiveInput](/acquiring/reference/graphql/types/enum-filter-input-of-perspective-input)
        </ParamField>

        <ParamField path="reference" type="StringFilterInput">
          See [StringFilterInput](/acquiring/reference/graphql/types/string-filter-input)
        </ParamField>

        <ParamField path="transactionActivityDate" type="DateRangeFilterInput">
          See [DateRangeFilterInput](/acquiring/reference/graphql/types/date-range-filter-input)
        </ParamField>

        <ParamField path="transactionType" type="EnumFilterInputOfPaymentTransactionTypeInput">
          See [EnumFilterInputOfPaymentTransactionTypeInput](/acquiring/reference/graphql/types/enum-filter-input-of-payment-transaction-type-input)
        </ParamField>
      </Expandable>
    </ParamField>
  </Expandable>
</ParamField>

## Return type

`FundingTransactionCollection`

<ResponseField name="items" type="[FundingTransaction!]!" required>
  <Expandable title="child attributes">
    <ResponseField name="acceptor" type="Acceptor!" required>
      See [Acceptor](/acquiring/reference/graphql/types/acceptor)
    </ResponseField>

    <ResponseField name="acceptorInterchangeFeesAmount" type="Decimal!" required>
      The amount of acceptor interchange associated with this transaction
    </ResponseField>

    <ResponseField name="acceptorNetworkFeesAmount" type="Decimal!" required>
      The itemized acceptor network fees associated with this transaction
    </ResponseField>

    <ResponseField name="convenienceFeesAmount" type="Decimal!" required>
      The amount of convenience fees associated with this transaction
    </ResponseField>

    <ResponseField name="fundingCurrency" type="String!" required>
      The currency of the funded transaction, formatted in ISO 4217 alphabetic code.
    </ResponseField>

    <ResponseField name="fundingGrossAmount" type="Decimal!" required>
      The total amount of the transaction, in the funding currency.
    </ResponseField>

    <ResponseField name="fundingNetAmount" type="Decimal!" required>
      The net funded amount after fees, in the funding currency.
    </ResponseField>

    <ResponseField name="fundsReleaseDate" type="Date">
      The date that Tesouro releases the funds from its bank account to the recipient's bank account.
    </ResponseField>

    <ResponseField name="fundsTransfer" type="FundsTransfer">
      The funds transfer associated with this transaction, containing bank account details.

      See [FundsTransfer](/acquiring/reference/graphql/types/funds-transfer)
    </ResponseField>

    <ResponseField name="fundsTransferDescriptor" type="String">
      A value created by Tesouro and sent with the funds transfer to the recipient's bank for display on the bank statement. It includes information on who sent the money and the purpose of the payment. The recipient can use this value to help with bank and transaction reconciliation.
    </ResponseField>

    <ResponseField name="fundsTransferId" type="UUID">
      A unique identifier created by Tesouro and assigned to the transfer of money to a bank account, that identifies a cohort of funded transactions making up the transfer.
    </ResponseField>

    <ResponseField name="interchangeFeesAmount" type="Decimal!" required>
      The amount of interchange associated with this transaction
    </ResponseField>

    <ResponseField name="isPartnerFeeAdjusted" type="Boolean!" required>
      Indicates if the partner fee was adjusted at the transaction level.
    </ResponseField>

    <ResponseField name="networkFeesAmount" type="Decimal!" required>
      The itemized network fees associated with this transaction
    </ResponseField>

    <ResponseField name="organization" type="Organization!" required>
      See [Organization](/acquiring/reference/graphql/types/organization)
    </ResponseField>

    <ResponseField name="partnerFeesAmount" type="Decimal!" required>
      The amount of partner fees associated with this transaction
    </ResponseField>

    <ResponseField name="paymentTransaction" type="PaymentTransaction!" required>
      See [PaymentTransaction](/acquiring/reference/graphql/types/payment-transaction)
    </ResponseField>

    <ResponseField name="perspective" type="Perspective">
      The perspective of the transaction, which can be either 'Acceptor' or 'Partner'. This field is used to determine the perspective from which the transaction is reported.

      See [Perspective](/acquiring/reference/graphql/types/perspective)
    </ResponseField>

    <ResponseField name="processorFeesAmount" type="Decimal!" required>
      The itemized processor fees associated with this transaction
    </ResponseField>

    <ResponseField name="serviceFeesAmount" type="Decimal!" required>
      The amount of service fees associated with this transaction
    </ResponseField>

    <ResponseField name="surchargeAmount" type="Decimal!" required>
      The amount of surcharge associated with this transaction
    </ResponseField>

    <ResponseField name="transactorFeesAmount" type="Decimal!" required deprecated>
      The amount of partner fees associated with this transaction

      **Deprecated:** Use partnerFeesAmount instead.
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="pageInfo" type="PageInfo!" required>
  <Expandable title="child attributes">
    <ResponseField name="hasNextPage" type="Boolean!" required />

    <ResponseField name="hasPreviousPage" type="Boolean!" required />
  </Expandable>
</ResponseField>

<RequestExample>
  ```graphql Operation lines expandable theme={null}
  query FundingTransactions($input: FundingTransactionInput!) {
    fundingTransactions(input: $input) {
      items {
        acceptor {
          businessName
          fundingTransactions
          id
          name
          reference
        }
        acceptorInterchangeFeesAmount
        acceptorNetworkFeesAmount
        convenienceFeesAmount
        fundingCurrency
        fundingGrossAmount
        fundingNetAmount
        fundsReleaseDate
        fundsTransfer {
          acquirerId
          createdDateTime
          estimatedBankPostingDate
          fundsReleaseDate
          fundsTransferDescriptor
          id
          organizationId
          plannedFundsTransferDate
        }
        fundsTransferDescriptor
        fundsTransferId
        interchangeFeesAmount
        isPartnerFeeAdjusted
        networkFeesAmount
        organization {
          businessName
          capabilities
          fundingTransactions
          id
          legalName
          name
          phoneNumber
        }
        partnerFeesAmount
        paymentTransaction {
          activityDate
          billingDescriptor
          businessApplicationId
          id
          merchantCategory
          paymentId
          processingNetwork
          processorResponseCode
          processorResponseMessage
          reference
          responseType
          resultLabel
          taxIdentificationNumber
          transactionDateTime
          transactionType
        }
        perspective
        processorFeesAmount
        serviceFeesAmount
        surchargeAmount
        transactorFeesAmount
      }
      pageInfo {
        hasNextPage
        hasPreviousPage
      }
    }
  }
  ```

  ```json Variables lines expandable theme={null}
  {
    "input": {
      "paging": {
        "skip": 0,
        "take": 0
      },
      "where": {
        "acceptorId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
        "acquirerReferenceNumber": "example",
        "fundsReleaseDate": "example"
      }
    }
  }
  ```

  ```bash cURL lines expandable theme={null}
  curl --request POST \
    --url https://api.sandbox.com/graphql \
    --header 'Content-Type: application/json' \
    --header 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
    --data '{
    "query": "query FundingTransactions($input: FundingTransactionInput!) {\n  fundingTransactions(input: $input) {\n    items {\n      acceptor {\n        businessName\n        fundingTransactions\n        id\n        name\n        reference\n      }\n      acceptorInterchangeFeesAmount\n      acceptorNetworkFeesAmount\n      convenienceFeesAmount\n      fundingCurrency\n      fundingGrossAmount\n      fundingNetAmount\n      fundsReleaseDate\n      fundsTransfer {\n        acquirerId\n        createdDateTime\n        estimatedBankPostingDate\n        fundsReleaseDate\n        fundsTransferDescriptor\n        id\n        organizationId\n        plannedFundsTransferDate\n      }\n      fundsTransferDescriptor\n      fundsTransferId\n      interchangeFeesAmount\n      isPartnerFeeAdjusted\n      networkFeesAmount\n      organization {\n        businessName\n        capabilities\n        fundingTransactions\n        id\n        legalName\n        name\n        phoneNumber\n      }\n      partnerFeesAmount\n      paymentTransaction {\n        activityDate\n        billingDescriptor\n        businessApplicationId\n        id\n        merchantCategory\n        paymentId\n        processingNetwork\n        processorResponseCode\n        processorResponseMessage\n        reference\n        responseType\n        resultLabel\n        taxIdentificationNumber\n        transactionDateTime\n        transactionType\n      }\n      perspective\n      processorFeesAmount\n      serviceFeesAmount\n      surchargeAmount\n      transactorFeesAmount\n    }\n    pageInfo {\n      hasNextPage\n      hasPreviousPage\n    }\n  }\n}",
    "variables": {
      "input": {
        "paging": {
          "skip": 0,
          "take": 0
        },
        "where": {
          "acceptorId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
          "acquirerReferenceNumber": "example",
          "fundsReleaseDate": "example"
        }
      }
    }
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response lines expandable theme={null}
  {
    "data": {
      "fundingTransactions": {
        "items": [
          {
            "acceptor": {
              "allocations": "example",
              "authorizationSummaries": "example",
              "billingDescriptor": "CLACKSWORTH KEYBOARDS",
              "businessName": "Clacksworth Keyboards",
              "fees": "example",
              "feeSummaries": "example",
              "fundingAchReturns": "example",
              "fundingDisputeEvents": "example",
              "fundingSummaries": "example",
              "fundingTransactions": "example",
              "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
              "name": "Ben Torres",
              "paymentTransactions": "example",
              "paymentTransactionSummaries": "example",
              "reference": "example"
            },
            "acceptorInterchangeFeesAmount": 0,
            "acceptorNetworkFeesAmount": 0,
            "convenienceFeesAmount": 0,
            "fundingCurrency": "example",
            "fundingGrossAmount": 0,
            "fundingNetAmount": 0,
            "fundsReleaseDate": "2026-01-15",
            "fundsTransfer": {
              "acquirerId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
              "bankAccount": "example",
              "createdDateTime": "2026-01-15T14:30:00Z",
              "estimatedBankPostingDate": "2026-01-15",
              "fundsReleaseDate": "2026-01-15",
              "fundsTransferDescriptor": "example",
              "id": "c9a1e2d3-4b5f-6789-0abc-def123456789",
              "organizationId": "d8b2f3e4-5c6a-7890-1bcd-ef2345678901",
              "plannedFundsTransferDate": "2026-01-15"
            },
            "fundsTransferDescriptor": "example",
            "fundsTransferId": "e7c3a4b5-6d7e-8901-2cde-f34567890123",
            "interchangeFeesAmount": 0,
            "isPartnerFeeAdjusted": true,
            "networkFeesAmount": 0,
            "organization": {
              "acceptorApplicationCounts": [
                "example"
              ],
              "acceptors": "example",
              "achNotificationsOfChange": "example",
              "achReturns": "example",
              "allocations": "example",
              "allowedMerchantCategories": [
                "example"
              ],
              "authorizationSummaries": "example",
              "businessAddress": "example",
              "businessName": "Clacksworth Keyboards",
              "capabilities": [
                "ACQUIRING"
              ],
              "fees": "example",
              "feeSummaries": "example",
              "fundingAchReturns": "example",
              "fundingDisbursementReturns": "example",
              "fundingDisputeEvents": "example",
              "fundingSummaries": "example",
              "fundingTransactions": "example",
              "id": "b6d4e5f6-7a8b-9012-3def-456789012345",
              "legalName": "example",
              "name": "Ben Torres",
              "paymentTransactions": "example",
              "paymentTransactionSummaries": "example",
              "phoneNumber": "example",
              "reportAvailability": [
                "example"
              ],
              "settings": "example"
            },
            "partnerFeesAmount": 0,
            "paymentTransaction": {
              "acceptor": "example",
              "activityDate": "2026-01-15",
              "amountDetails": "example",
              "billingDescriptor": "CLACKSWORTH KEYBOARDS",
              "businessApplicationId": "CB",
              "fees": "example",
              "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
              "lineItems": [
                "example"
              ],
              "location": "example",
              "merchantCategory": "example",
              "organization": "example",
              "paymentId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
              "paymentMethod": "example",
              "processingNetwork": "VISA",
              "processorResponseCode": "A0000",
              "processorResponseMessage": "example",
              "reference": "example",
              "responseType": "APPROVAL",
              "resultLabel": "example",
              "taxes": "example",
              "taxIdentificationNumber": "example",
              "transactionDateTime": "2026-01-15T14:30:00Z",
              "transactionType": "AUTHORIZATION"
            },
            "perspective": "PARTNER",
            "processorFeesAmount": 0,
            "serviceFeesAmount": 0,
            "surchargeAmount": 0,
            "transactorFeesAmount": 0
          }
        ],
        "pageInfo": {
          "hasNextPage": true,
          "hasPreviousPage": true
        }
      }
    }
  }
  ```
</ResponseExample>
